
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_seatavailabilityrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for BagDiscloseRuleListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="BagDiscloseRuleListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="D"/&amp;gt;
 *     &amp;lt;enumeration value="N"/&amp;gt;
 *     &amp;lt;enumeration value="Y"/&amp;gt;
 *     &amp;lt;enumeration value="Other"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "BagDiscloseRuleListType")
@XmlEnum
public enum BagDiscloseRuleListType {


    /**
     * Disclosure with NO US DOT Reservation
     * 
     */
    D("D"),

    /**
     * No Disclosure or US DOT Reservation
     * 
     */
    N("N"),

    /**
     * Disclosure AND US DOT Reservation
     * 
     */
    Y("Y"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    BagDiscloseRuleListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BagDiscloseRuleListType fromValue(String v) {
        for (BagDiscloseRuleListType c: BagDiscloseRuleListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
